Subject: Re: [PATCH 03/11] vcs-svn: Read the preimage while applying deltas

From: Sam Vilain <[email-masked]>
Date: Fri, 15 Oct 2010 10:45:55 +1300

On Wed, 2010-10-13 at 04:30 -0500, Jonathan Nieder wrote:
> It occurs to me that Sam Vilain may well have something valuable to
> say about this series, having implemented something similar[1].
> 
> Sam, this series adds an svndiff0 parser for git to use in parsing
> v3 dumps (which are way easier to produce with remote access to an
> svn repository than v2 dumps).  The beginning of the series is at [2],
> though that cover letter is out of date: now, modulo any new bugs
> I've introduced with this reroll, it is known to successfully apply
> all the deltas involved in a complete dump of the ASF repo.

> [1] http://search.cpan.org/~samv/Parse-SVNDiff-0.03/lib/Parse/SVNDiff.pm

All I did was make the module lazy - version 0.02 was by 唐鳳, any
detailed knowledge I had of the binary format fell out of my head pretty
quickly :-)

Sam